.dropdown {
  position: relative;
  background-color: $white;
}

.dropdown__selected {
  position: relative;
  display: block;
  width: 100%;
  border: 1px solid $color-neutral-400;
  padding: 0 12px;
  color: $color-neutral-900;

  @include fixed-height(36px, 13px);
  @include rounded($rounded);
  @include flex-align-items(4px);

  &:hover {
    text-decoration: none;
    border-color: $color-neutral-600;
  }

  .dropdown--error & {
    border-color: $color-error-500;
  }

  .dropdown--tiny & {
    height: 32px;
    line-height: 32px;
  }

  .dropdown--disabled & {
    background-color: $color-neutral-50;
    color: $color-neutral-500;
    cursor: not-allowed;

    &:hover {
      border-color: $color-neutral-400;
    }
  }
}

.dropdown__selected-text {
  @extend %ellipsis;

  min-width: 0;
}

.dropdown__selected-icon {
  margin-right: 4px;
  color: $color-neutral-600;
  font-size: 14px;
}

.dropdown__selected-image {
  margin-right: 4px;
  max-width: 15px;
  max-height: 15px;
}

.dropdown__toggle-icon {
  margin-left: auto;
}

.dropdown__items {
  border: 1px solid $color-primary-500;
  background-color: $white;
  box-shadow: 0 2px 6px 0 rgba($black, 0.16);
  z-index: 1;
  max-width: 500px;

  @include absolute(0, 0, auto, 0);
  @include rounded($rounded);

  &.dropdown__items--fixed {
    flex-direction: column;
    position: fixed;
    right: auto;

    &:not(.hidden) {
      display: flex;
    }
  }

  .select__item:hover {
    background-color: transparent;
  }

  .select__item.hover {
    background-color: $color-neutral-100;
  }

  .select__item.active {
    background-color: $color-primary-100;
  }

  .select__item.active:hover::after {
    display: block;
  }

  .dropdown--floating & {
    right: auto;
  }

  .dropdown--floating-left & {
    left: auto;
    right: 0;
  }
}
